Package org.eclipse.emf.cdo.lm.client

# Class LMImporter.ImportModule

java.lang.Object
org.eclipse.emf.cdo.lm.client.LMImporter.ImportModule

All Implemented Interfaces:
  `Consumer<Consumer<LMImporter.ImportElement>>`

Enclosing class:
  LMImporter

public final class LMImporter.ImportModule extends Object implements Consumer<Consumer<LMImporter.ImportElement>>

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Consumer<LMImporter.ImportElement> visitor)`
`LMImporter.ImportElement.ImportBinary`
`addBinary(String name)`
`void`
`addExtraDependency(LMImporter.ImportModule extraDependency)`
`LMImporter.ImportElement.ImportResource`
`addResource(String name)`
`LMImporter.ImportElement.ImportText`
`addText(String name, String encoding)`
`LMImporter.ImportElement`
`getChild(String name)`
`List<LMImporter.ImportElement>`
`getChildren()`
`Set<LMImporter.ImportModule>`
`getDependencies()`
`Set<LMImporter.ImportModule>`
`getExtraDependencies()`
`String`
`getName()`
`LMImporter.ImportElement.ImportFolder`
`getOrAddFolder(String name)`
`LMImporter.ImportElement.ImportFolder`
`getOrAddFolderPath(String path)`
`Set<LMImporter.ImportModule>`
`getResolvedDependencies()`
`LMImporter.ImportElement.ImportFolder`
`getRoot()`
`URI`
`getRootURI()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Method Details

### getDependencies

public Set<LMImporter.ImportModule> getDependencies()

### getResolvedDependencies

public Set<LMImporter.ImportModule> getResolvedDependencies()

### getExtraDependencies

public Set<LMImporter.ImportModule> getExtraDependencies()

### addExtraDependency

public void addExtraDependency(LMImporter.ImportModule extraDependency)

### getName

public String getName()

### getRoot

public LMImporter.ImportElement.ImportFolder getRoot()

### getRootURI

public URI getRootURI()

### accept

public void accept(Consumer<LMImporter.ImportElement> visitor)

Specified by:
  `accept` in interface `Consumer<Consumer<LMImporter.ImportElement>>`

### getChild

public LMImporter.ImportElement getChild(String name)

### getChildren

public List<LMImporter.ImportElement> getChildren()

### getOrAddFolderPath

public LMImporter.ImportElement.ImportFolder getOrAddFolderPath(String path)

### getOrAddFolder

public LMImporter.ImportElement.ImportFolder getOrAddFolder(String name)

### addResource

public LMImporter.ImportElement.ImportResource addResource(String name)

### addBinary

public LMImporter.ImportElement.ImportBinary addBinary(String name)

### addText

public LMImporter.ImportElement.ImportText addText(String name, String encoding)

### toString

public String toString()

Overrides:
  `toString` in class `Object`